
define config.default_music_volume = 0.25
define config.default_sfx_volume = 0.25
define config.default_voice_volume = 0.25
define -2 gui.name_text_outlines = [ (3, "#000000F0", 1, 1) ]
define -2 gui.dialogue_text_outlines = [ (3, "#000000F0", 1, 1) ]
define -2 gui.text_color = '#fff'

default persistent.pref_text_size = gui.text_size

init 998 python:
    def _toggle_quick_menu_q():

        if renpy.has_screen('quick_menu'):
            if not hasattr(store, 'quick_menu'):
                setattr(store, 'quick_menu', True)
                renpy.show_screen('quick_menu')
                setattr(store, 'suppress_overlay', False)
            else:
                if quick_menu == True:
                    setattr(store, 'quick_menu', False)
                    renpy.hide_screen('quick_menu')
                else:
                    setattr(store, 'quick_menu', True)
                    renpy.show_screen('quick_menu')
                    setattr(store, 'suppress_overlay', False)

    config.keymap[ 'toggle_quick_menu_q' ] = [ 'K_q' ]
    config.underlay.append(renpy.Keymap(toggle_quick_menu_q = Function(_toggle_quick_menu_q)))

    if persistent.opacity == None:
        persistent.opacity = 0.

    class get_save_name(FileSave):
        def __init__(self, name, confirm=True, newest=True, page=None, cycle=False):
            super(get_save_name,self).__init__(name=name,confirm=confirm,newest=newest,page=page,cycle=cycle)
        def __call__(self):
            renpy.call_in_new_context("get_save_name")
            return super(get_save_name,self).__call__()


init offset = 9999

screen navigation():
    if main_menu:
        imagebutton:
            xalign 0.95 yalign 0.95
            idle "patreon.jpg"
            action OpenURL("https://www.patreon.com/betisis")
        imagebutton:
            xalign 0.95 yalign 0.80
            idle "ss_logomark.png"
            action OpenURL("https://subscribestar.adult/betisis-studio")

    vbox:
        style_prefix "navigation"
        xpos gui.navigation_xpos
        yalign 0.5
        spacing gui.navigation_spacing

        if main_menu:
            textbutton _("Start") action Start()
            textbutton _("Credits") action ShowMenu("credits")
            textbutton _("Side Stories") action Show("sideStories")
        else:
            textbutton _("History") action ShowMenu("history")
            textbutton _("Save") action ShowMenu("save")

        textbutton _("Load") action ShowMenu("load")
        textbutton _("Gallery") action ShowMenu("gallery_screen")

        if not _in_replay:
            textbutton _("Shaddy's Replay") action [ui.callsinnewcontext("galleryNameChange"), ShowMenu("sceneReplay1")] text_style "shaddyTextButton3"

        if _in_replay:
            textbutton _("End Replay") action SetVariable("quick_menu", True), EndReplay(confirm=True)
        elif not main_menu:
            textbutton _("Main Menu") action MainMenu()

        textbutton _("Preferences") action ShowMenu("preferences")

        if renpy.variant("pc"):
            textbutton _("Quit") action Quit(confirm=not main_menu)

screen preferences():
    tag menu

    $ renpy.retain_after_load()

    use game_menu(_("Options"), scroll="viewport"):

        vbox:
            hbox:
                box_wrap True

                if renpy.variant("pc") or renpy.variant("web") and not renpy.variant("mobile"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))

                vbox:
                    style_prefix "check"
                    label _("Name Saves")
                    textbutton _("Enabled") action SetField(persistent, "enable_save_name", True)
                    textbutton _("Disabled") action SetField(persistent, "enable_save_name", False)

            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:
                    label _("Text Speed")
                    bar value Preference("text speed")

                    label _("Auto-Forward Time")
                    bar value Preference("auto-forward time")

                vbox:

                    if config.has_music:
                        label _("Music Volume")
                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")
                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")
                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"

            use Shaddy_Prefs

screen Shaddy_Prefs:
    frame:
        background Solid("#0000BF")
        xcenter 0.45
        ycenter 0.6
        xysize (1150,425)
        add "#000"
        add Transform("shaddyMod/images/ShaddyBG3.webp", zoom=1.1) alpha 0.65 xalign 0.5 #yalign 0.5
        hbox:
            xcenter 0.5
            hbox:
                spacing -5
                text "S" at delayed_blink(0.9, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "h" at delayed_blink(0.8, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "a" at delayed_blink(0.7, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "d" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "d" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "y" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "M" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "o" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "d" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "d" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "a" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
            hbox:
                spacing -5
                text "A" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "d" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "d" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "i" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "t" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "i" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "o" at delayed_blink(0.7, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "n" at delayed_blink(0.8, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
                text "s" at delayed_blink(0.9, 2.0) outlines [(3, "#000")] style "shaddyPrefHeader"
        hbox:
            xmaximum 1100
            box_wrap True
            box_wrap_spacing 20
            xcenter 0.6
            ycenter 0.57
            spacing 20
            vbox:
                xcenter 0.48
                ycenter 0.5
                style_prefix "radio"
                hbox:
                    spacing 15
                    hbox:
                        spacing -5
                        text "Q" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        text "u" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        text "i" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        text "c" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        text "k" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    hbox:
                        spacing -5
                        text "M" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        text "e" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        text "n" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        text "u" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                vbox:
                    style_prefix "radio"
                    textbutton "Enabled" action SetVariable("quick_menu", True) text_style "shaddyTextButton2"
                    textbutton "Disabled" action SetVariable("quick_menu", False) text_style "shaddyTextButton2"
            vbox:
                style_prefix "check"
                hbox:
                    spacing -5
                    text "W" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "a" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "l" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "k" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "t" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "h" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "r" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "o" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "u" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "g" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "h" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                if renpy.exists("KoGa3Mod.rpy"):
                    vbox:
                        textbutton _("Enabled") action SetVariable("persistent.inGameWT", True), SetVariable("KoGa3ChoiceOption", 1) text_style "shaddyTextButton2"
                        textbutton _("Disabled") action SetVariable("persistent.inGameWT", False), SetVariable("KoGa3ChoiceOption", 0) text_style "shaddyTextButton2"
                else:
                    vbox:
                        textbutton _("Enabled") action SetVariable("persistent.inGameWT", True) text_style "shaddyTextButton2"
                        textbutton _("Disabled") action SetVariable("persistent.inGameWT", False) text_style "shaddyTextButton2"
            vbox:
                style_prefix "check"
                hbox:
                    spacing -5
                    text "R" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "e" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "n" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "a" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "m" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    text "e" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                textbutton _("Rename") action [ui.callsinnewcontext("Rename"), Return()] text_style "shaddyTextButton2"

            hbox:
                spacing -200
                xcenter 0.5
                ycenter 0.5
                vbox:
                    style_prefix "slider"
                    hbox:
                        spacing 5
                        hbox:
                            spacing -5
                            text "T" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "e" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "x" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "t" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        hbox:
                            spacing -5
                            text "S" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "i" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "z" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "e" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text ":" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        hbox:
                            spacing -5
                            text _("%s" % (persistent.pref_text_size)) at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    bar value FieldValue(object=persistent, field='pref_text_size', range=(gui.text_size * 2), max_is_zero=False, style=u'slider', offset=0, step=1) xsize 400 #xcenter 0.5

                vbox:
                    style_prefix "slider"
                    $ opacity = persistent.opacity * 100
                    hbox:
                        spacing 5
                        hbox:
                            spacing -5
                            text "T" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "e" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "x" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "t" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "b" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "o" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "x" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        hbox:
                            spacing -5
                            text "O" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "p" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "a" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "c" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "i" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "t" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text "y" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                            text ":" at delayed_blink(0.7, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                        hbox:
                            spacing -5
                            text "[opacity:.0f]%" at delayed_blink(0.8, 2.0) outlines [(3, "#000")] style "shaddyPrefBody"
                    bar value FieldValue(persistent, "opacity", range=1.0, style="slider") xsize 400

    vbox:
        label _("")
    vbox:
        label _("")

screen quick_menu():
    zorder 100

    if quick_menu:
        hbox:
            style_prefix "quick"
            xalign 0.5
            yalign 1.0
            spacing -10

            textbutton _("Back") action Rollback() text_style "shaddyQMenu"
            #textbutton _("History") action ShowMenu('history') text_style "shaddyQMenu"
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True) text_style "shaddyQMenu"
            textbutton _("Auto") action Preference("auto-forward", "toggle") text_style "shaddyQMenu"
            #textbutton _("Save") action ShowMenu('save') text_style "shaddyQMenu"
            textbutton _("Q.S") action QuickSave() text_style "shaddyQMenu"
            textbutton _("Q.L") action QuickLoad() text_style "shaddyQMenu"
            textbutton _("Prefs") action ShowMenu('preferences') text_style "shaddyQMenu"
            if renpy.exists("KoGa3Mod.rpy"):
                if KoGa3ModMenuButtonPressed == False:
                    textbutton _("Mod menu"):   #KoGa3
                        text_style "shaddyQMenu"
                        selected False
                        action [
                        SetVariable ("KoGa3ModMenuButtonPressed", True),
                        SetVariable("mc_bad_pointsTemp",mc_bad_points),
                        SetVariable("mc_good_pointsTemp",mc_good_points),
                        SetVariable("janet_r_pointsTemp",janet_r_points),
                        SetVariable("janet_l_pointsTemp",janet_l_points),
                        SetVariable("janet_d_pointsTemp",janet_d_points),
                        SetVariable("amy_r_pointsTemp",amy_r_points),
                        SetVariable("amy_l_pointsTemp",amy_l_points),
                        SetVariable("amy_d_pointsTemp",amy_d_points),
                        SetVariable("claire_r_pointsTemp",claire_r_points),
                        SetVariable("claire_l_pointsTemp",claire_l_points),
                        SetVariable("claire_d_pointsTemp",claire_d_points),
                        SetVariable("nora_r_pointsTemp",nora_r_points),
                        SetVariable("nora_l_pointsTemp",nora_l_points),
                        SetVariable("nora_d_pointsTemp",nora_d_points),
                        SetVariable("emma_r_pointsTemp",emma_r_points),
                        SetVariable("emma_l_pointsTemp",emma_l_points),
                        SetVariable("emma_d_pointsTemp",emma_d_points),
                        SetVariable("ruby_r_pointsTemp",ruby_r_points),
                        SetVariable("ruby_l_pointsTemp",ruby_l_points),
                        SetVariable("ruby_d_pointsTemp",ruby_d_points),
                        SetVariable("luna_r_pointsTemp",luna_r_points),
                        SetVariable("luna_l_pointsTemp",luna_l_points),
                        SetVariable("luna_d_pointsTemp",luna_d_points),
                        SetVariable("gaby_r_pointsTemp",gaby_r_points),
                        SetVariable("gaby_l_pointsTemp",gaby_l_points),
                        SetVariable("gaby_d_pointsTemp",gaby_d_points),
                        SetVariable("chloe_r_pointsTemp",chloe_r_points),
                        SetVariable("chloe_l_pointsTemp",chloe_l_points),
                        SetVariable("chloe_d_pointsTemp",chloe_d_points),
                        SetVariable("olivia_r_pointsTemp",olivia_r_points),
                        SetVariable("olivia_l_pointsTemp",olivia_l_points),
                        SetVariable("olivia_d_pointsTemp",olivia_d_points),
                        SetVariable("st1_r_pointsTemp",st1_r_points),
                        SetVariable("st1_l_pointsTemp",st1_l_points),
                        SetVariable("st1_d_pointsTemp",st1_d_points),
                        SetVariable("clara_r_pointsTemp",clara_r_points),
                        SetVariable("clara_l_pointsTemp",clara_l_points),
                        SetVariable("clara_d_pointsTemp",clara_d_points),
                        Show("KoGa3ScreenModMenu") ]
                if KoGa3ModMenuButtonPressed == True:
                    textbutton "Close Mod Menu": #KoGa3
                        text_style "shaddyQMenu"
                        selected False
                        action [
                        SetVariable ("KoGa3ModMenuButtonPressed", False),
                        Hide("KoGa3ScreenCheatMore1"),
                        Hide("KoGa3ScreenJukebox"),
                        Hide("KoGa3ScreenModMenu") ]

screen quick_menu():
    variant "touch"
    zorder 100

    if quick_menu:
        hbox:
            style_prefix "quick"
            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback()
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Menu") action ShowMenu()
            if renpy.exists("KoGa3Mod.rpy"):
                if KoGa3ModMenuButtonPressed == False:
                    textbutton _("Mod menu"):   #KoGa3
                        text_style "shaddyQMenu"
                        selected False
                        action [
                        SetVariable ("KoGa3ModMenuButtonPressed", True),
                        SetVariable("mc_bad_pointsTemp",mc_bad_points),
                        SetVariable("mc_good_pointsTemp",mc_good_points),
                        SetVariable("janet_r_pointsTemp",janet_r_points),
                        SetVariable("janet_l_pointsTemp",janet_l_points),
                        SetVariable("janet_d_pointsTemp",janet_d_points),
                        SetVariable("amy_r_pointsTemp",amy_r_points),
                        SetVariable("amy_l_pointsTemp",amy_l_points),
                        SetVariable("amy_d_pointsTemp",amy_d_points),
                        SetVariable("claire_r_pointsTemp",claire_r_points),
                        SetVariable("claire_l_pointsTemp",claire_l_points),
                        SetVariable("claire_d_pointsTemp",claire_d_points),
                        SetVariable("nora_r_pointsTemp",nora_r_points),
                        SetVariable("nora_l_pointsTemp",nora_l_points),
                        SetVariable("nora_d_pointsTemp",nora_d_points),
                        SetVariable("emma_r_pointsTemp",emma_r_points),
                        SetVariable("emma_l_pointsTemp",emma_l_points),
                        SetVariable("emma_d_pointsTemp",emma_d_points),
                        SetVariable("ruby_r_pointsTemp",ruby_r_points),
                        SetVariable("ruby_l_pointsTemp",ruby_l_points),
                        SetVariable("ruby_d_pointsTemp",ruby_d_points),
                        SetVariable("luna_r_pointsTemp",luna_r_points),
                        SetVariable("luna_l_pointsTemp",luna_l_points),
                        SetVariable("luna_d_pointsTemp",luna_d_points),
                        SetVariable("gaby_r_pointsTemp",gaby_r_points),
                        SetVariable("gaby_l_pointsTemp",gaby_l_points),
                        SetVariable("gaby_d_pointsTemp",gaby_d_points),
                        SetVariable("chloe_r_pointsTemp",chloe_r_points),
                        SetVariable("chloe_l_pointsTemp",chloe_l_points),
                        SetVariable("chloe_d_pointsTemp",chloe_d_points),
                        SetVariable("olivia_r_pointsTemp",olivia_r_points),
                        SetVariable("olivia_l_pointsTemp",olivia_l_points),
                        SetVariable("olivia_d_pointsTemp",olivia_d_points),
                        SetVariable("st1_r_pointsTemp",st1_r_points),
                        SetVariable("st1_l_pointsTemp",st1_l_points),
                        SetVariable("st1_d_pointsTemp",st1_d_points),
                        SetVariable("clara_r_pointsTemp",clara_r_points),
                        SetVariable("clara_l_pointsTemp",clara_l_points),
                        SetVariable("clara_d_pointsTemp",clara_d_points),
                        Show("KoGa3ScreenModMenu") ]
                if KoGa3ModMenuButtonPressed == True:
                    textbutton "Close Mod Menu": #KoGa3
                        text_style "shaddyQMenu"
                        selected False
                        action [
                        SetVariable ("KoGa3ModMenuButtonPressed", False),
                        Hide("KoGa3ScreenCheatMore1"),
                        Hide("KoGa3ScreenJukebox"),
                        Hide("KoGa3ScreenModMenu") ]

screen modal_input:
    modal True
    frame:
        align(0.682,0.05)
        xysize(700,103)
        background "#e066a37f"
        text prompt style "save_txt" xcenter 0.5
        input id "input" style "save_txt" length 30 allow "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ 0123456789 .-/*" align(0.5,0.9)

screen save():
    tag menu
    use file_slots(_("Save"))

screen load():
    tag menu
    use file_slots(_("Load"))


screen file_slots(title):

    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))

    $ tt_del = GetTooltip()

    use game_menu(title):
        fixed:
            order_reverse True

            button:
                style "page_label"
                key_events True
                xalign 0.5
                action page_name_value.Toggle()

                input:
                    style "page_label_text"
                    value page_name_value

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range(gui.file_slot_cols * gui.file_slot_rows):
                    $ slot = i + 1
                    if renpy.variant("pc") or renpy.variant("web") and not renpy.variant("mobile"):
                        button:
                            if title == "Save":
                                action [SetVariable("save_name",""), get_save_name(slot)]
                            else:
                                action FileAction(slot)

                            add FileScreenshot(slot) xalign 0.5

                            key "save_delete" action FileDelete(slot)

                            vbox:
                                xalign 0.5
                                yalign 1.06
                                text FileTime(slot, format=_("{#file_time}%A, %b %d %Y, %H:%M"), empty=_("empty slot")):
                                    style "slot_time_text"

                                text FileSaveName(slot):
                                    style "slot_name_text"

                            if FileLoadable(slot):
                                imagebutton:
                                    align(0.976,0.71)
                                    idle Transform("ShaddyMod/images/button_delete_idle.webp", zoom=0.5)
                                    hover Transform("ShaddyMod/images/button_delete_hover.webp", zoom=0.5)
                                    hovered Show("tt_del_scr")
                                    unhovered Hide("tt_del_scr")
                                    action FileDelete(slot)

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 0.94

                spacing gui.page_spacing

                textbutton _("Prev") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}Q") action FilePage("quick")

                for page in range(1, 10):
                    textbutton "[page]" action FilePage(page)

                textbutton _("Next") action FilePageNext()


screen say(who, what):
    style_prefix "say"

    window:
        id "window"

        background Transform(Image("gui/textbox.png", xalign=0.5, yalign=1.0), alpha=persistent.opacity)

        if who is not None:

            window:
                id "namebox"
                style "namebox"
                text who id "who" outlines [(3, "#000", 1, 1)]

        text what id "what" size persistent.pref_text_size outlines [(3, "#000", 1, 1)]

    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0


screen input(prompt):
    style_prefix "input"


    window:
        if renpy.variant("mobile"):
            background Transform(Image("gui/textbox.png", xalign=0.5, yalign=0), alpha=persistent.opacity)
        else:
            background Transform(Image("gui/textbox.png", xalign=0.5, yalign=1.0), alpha=persistent.opacity)

        vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

            text prompt style "input_prompt" outlines [(3, "#000", 1, 1)]
            input id "input" outlines [(3, "#000", 1, 1)]


screen choice(items):
    style_prefix "choice"

    vbox xcenter 0.5 ycenter 0.5 spacing 5:
        for n, i in enumerate(items, 1):
            $ disabled = i.kwargs.get("disabled", False)
            $ my_caption = ""
            $ my_action = i.action
            if disabled:
                $ my_action = NullAction()
            if not renpy.variant("mobile") and n < 10 and not disabled:
                $ my_caption = "{size=-5}" + str(n) + ". {/size}"
                key str(n) action my_action
                key "K_KP" + str(n) action my_action
            $ my_caption = my_caption + "{pre}{caption}{post}".format(pre=i.kwargs.get("pre", ""), caption=i.caption, post=i.kwargs.get("post", ""))
            textbutton my_caption:
                style "choice_button"
                action my_action
                if persistent.inGameWT and i.kwargs.get('wtg'):
                    text_idle_color "#00ff00"
                    text_hover_color "#007a00"
                elif persistent.inGameWT and i.kwargs.get('wtr'):
                    text_idle_color "#ff0000"
                    text_hover_color "#ff000077"
                sensitive not i.kwargs.get("disabled", False)
                text_size persistent.pref_text_size

## "Choice" (pre="", post=""):

screen tt_del_scr():
    text "Delete?" pos renpy.get_mouse_pos() style "tt_del_txt"


label get_save_name:
    show screen save
    if persistent.enable_save_name:
        $ save_name = renpy.call_screen("modal_input", prompt="Enter a description for your save file", default="(None)", length=10)
    $ renpy.retain_after_load()
    return

default mcName = "MC"
default fabName = "handsome"

label Rename:
    scene black with dissolve
    $ mcName = renpy.input("Enter your name:", default="{}".format(persistent.mcName), length=10, allow="abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ").strip() or "{}".format(persistent.mcName)
    $ persistent.mcName = mcName
    scene romcm2
    $ fabName = renpy.input("What would she call you?", default="{}".format(persistent.fabName), length=10, allow="abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ").strip() or "{}".format(persistent.fabName)
    $ persistent.fabName = fabName

    $ persistent.galleryNameSet = True
    return

style shaddyQMenu is button_text:
    size 25
    outlines [(3,"#000",1,1)]

style shaddyPrefHeader is text:
    size 60
    outlines [(3,"#000",1,1)]
    color "#0ed6f9"
    font "shaddyMod/212 Leahlee Sans.otf"

style shaddyPrefBody is text:
    size 50
    font "shaddyMod/212 Leahlee Sans.otf"
    outlines [(3,"#000",1,1)]
    color "#0ed6f9"

style save_txt is text:
    size 30
    color "#cc0066"
    outlines [ (absolute(3), "#000", absolute(1), absolute(1)) ]

style tt_del_txt is text:
    size 40
    color "#f00"
    outlines [ (absolute(3), "#000", absolute(1), absolute(1)) ]
